#! /usr/bin/env perl

use strict;
use warnings;

use Test::More tests => 3;

my $yaml_file = "t/example.yaml";
my $got;
my $expected;

$got = `./yash -f $yaml_file --count`;
chomp $got;
$expected = 6;
is($got, $expected, "Counting the number of keys of a hash");

$got = `./yash -f $yaml_file --count name`;
chomp $got;
$expected = 1;
is($got, $expected, "Counting a scalar returns 1");

$got = `./yash -f $yaml_file --count people deep`;
chomp $got;
$expected = 3;
is($got, $expected, "Counting the size of a list");

